/* Small Notebooks */
@media (max-width: 1366px) {
    #logo { margin-left: 40px;}
    #container section, #container section.slide-5 .wrapper, #container section.slide-6 .wrapper,
    #container section.slide-2 .wrapper, #container section.slide-3 .wrapper{
        min-height: 320px;
        top: auto;
        -webkit-transform: none;
        -ms-transform: none;  
        transform: none;
        /*padding-top: 10px;*/
        /*padding-bottom: 10px;*/
        /*box-sizing: content-box;*/
        overflow: hidden
    }

    #container section .wrapper{
        padding-top: 10px;
        padding-bottom: 10px;
        box-sizing: border-box;        
    }
    #container section#about_banner .wrapper{
        padding-top: 0;
    }
    #animated_group,#product-carousel,#features_map_img{
        -webkit-transform-origin: 50% 0;
        -moz-transform-origin: 50% 0;
        -o-transform-origin: 50% 0;
        -ms-transform-origin: 50% 0;
        transform-origin: 50% 0;
    }

    #ipad-carousel,#all_design_image,#features_map_img{
        -ms-transform: scale(0.85);
        -webkit-transform: scale(0.85);
        transform: scale(0.85);
    }

    #animated_group,#product-carousel{
        transform-origin: 50% 0;
        -ms-transform: scale(0.75);
        -webkit-transform: scale(0.75);
        transform: scale(0.75);        
    }
    #technology .inner-slide h4,#functions .inner-slide-2 h4{
        margin-top: 0;
    }
    #technology .inner-slide h1,#functions .inner-slide-2 h1,#solutions h1.title {
        margin-bottom: 15px;
    }
    #technology .inner-slide .text,#functions .inner-slide .text, #solutions .text {
        margin-bottom: 15px;
    }
    #products .view-catalog {
        margin: auto;
        position: relative; top: -120px;
    }
    #interface-carousel .carousel-inner > .item > img, #interface-carousel .carousel-inner > .item > a > img {
        max-width: 700px;
    }
    #functions .controls-wrap ,#technology  .controls-wrap,#design .controls-wrap{
        bottom: 20px !important;
    }

    #links {
        margin-bottom: 20px;
        display: block;
        border: 2px solid #333;
        width: 100%;
        padding: 5px;
        
    }
}

@media (min-width: 992px) and (max-width: 1290px) {
    #home .col-md-6{
        padding: 0 65px 0 45px;
    }
    #container section.slide-1 { background-position: -20px center; height:auto; min-height: 400px !important;  }
    #container section.slide-1 h1 { margin-top: 25px; }
    
#container section.slide-1 div.wrapper {
                position: relative;
                top: auto;
                -webkit-transform:none
                -ms-transform: none;  
                transform: none;
}
#container section.slide-1 iframe { height:292px;}

    #interface-carousel .carousel-inner > .item > img, #interface-carousel .carousel-inner > .item > a > img {
        max-width: 600px;
    }
    #container section.slide-4 .inner-slide-1 > div {
        margin: 10% 0 0 10%;
    }
}

@media (max-width:1024px)
{
    #container section.slide-4 .inner-slide-1 > div {
        margin: 8% 0 0 4%;
    }
}
 
/* Portrait tablet to landscape and desktop */
@media (min-width: 768px) and (max-width: 979px) {
    #logo { margin-left: 30px;}
    #top_nav { margin-right: 20px; position: absolute; right: 10px;}
    body.nav-open .menu-toggle { right: 30px;}
    #top_search_form #s { width: 315px;}
    
#container section.slide-1 div.wrapper {
                position: relative;
                top: auto;
                -webkit-transform:none
                -ms-transform: none;  
                transform: none;
}

    #container section.slide-5 .wrapper, #container section.slide-6 .wrapper,
    #container section.slide-2 .wrapper, #container section.slide-3 .wrapper{
        position: relative;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
    }
    
    
    #interface-carousel .carousel-inner > .item > img, #interface-carousel .carousel-inner > .item > a > img {
        max-width: 500px;
    }
    /*.container {*/
    /*    width:900px;*/
    /*}*/
    #container section.slide-1 { background-position: -20px center; height:auto;}
    #container section.slide-1 h1 { margin-top: 25px; }
    
    
    #features_map_img{
        -ms-transform: scale(0.7);
        -webkit-transform: scale(0.7);
        transform: scale(0.7);
    }
    #product-carousel{ width: 840px; margin-left: -60px;}
    
    .bas-slide.slide-3 ul.controls { max-width: 95%; margin: 0 auto;}
    .bas-slide.slide-3 ul.controls li { display: block !important;  float: none; width:100%;}
    .bas-slide.slide-3 ul.controls li a { min-height: 40px; height: auto; }
    .bas-slide.slide-3 ul.controls li.first a,ul.controls li.last a, ul.controls li:last-child a{-moz-border-radius: 0; -webkit-border-radius: 0; border-radius: 0;}
    .bas-slide.slide-3 ul.controls li { border-left: none !important;}    
}
 
/* Landscape phone to portrait tablet */
@media (max-width: 767px) {
    
    #interface-carousel .carousel-inner > .item > img, #interface-carousel .carousel-inner > .item > a > img,
    #product-carousel .carousel-inner > .item > img, #product-carousel .carousel-inner > .item > a > img 
    {
        max-width: 90%;
    }
    a:hover, a.where-to-buy:hover, .where-to-buy a:hover, a.view-catalog:hover{
        color: inherit !important;
    }
    a:active, a.where-to-buy:active, .where-to-buy a:active, a.view-catalog:active,body.nav-open .menu-toggle:active{
        color: #d81e26 !important;
    }
    
    #wrap > header{position: relative;height: auto; }
    .search-open #wrap > header { padding-bottom: 60px;}
    #logo, #top_nav { } 
    #logo { margin: 20px auto; text-align: center; }
    #top_nav { width: 100%; position: absolute;  top: 30px; left: 0; margin:0;  padding:0; overflow: visible; z-index: 999; float: none !important; }
    #top_nav.affix { width: 100%; top:0; position: fixed; height:  inherit; height: 35px; background: #FFF; }
    #top_nav .menu-search{ float:  right; }
    #top_nav .menu-toggle { float: right; margin-left: 20px; margin-right: 15px; }
    #top_nav .menu-toggle:focus { color:  #000; }
    body.nav-open #top_nav { z-index: 9999; background: transparent; overflow: visible; }
    body.nav-open #top_search_form, body.nav-open a.menu-search { display: none !important; }
    body.nav-open .menu-toggle{ right: auto; left: 50%; top: 40px; margin-left: -50px !important;  color: #FFF !important; }
    #top_search_form {float: none; clear:  both; padding: 15px 15px; background: #EAEAEA;  margin-top: 50px; position:  relative; width: 100%; display: none;}
    .search-open  #top_search_form { display: block; }
    #top_nav.affix #top_search_form { margin-top: 0; }
    #top_search_form #s { width: 100%;}
    #top_search_form input[type="submit"] { top: 15px; right: 15px;}
    
    .navbar-toggle { background:  url(../images/menu-mobile-icon.png) no-repeat center center; width: 100%; float: none;  margin: 0;  padding: 0; line-height: 50px; text-align: center; min-height: 50px;}
    .navbar-toggle span { display: none !important; }
    body.download-center #container section { height: auto; min-height: inherit; }
    body.download-center .navbar-collapse ,body.project .navbar-collapse,
    body.contacts .navbar-collapse, body.service-center .navbar-collapse,
    body.videos .navbar-collapse,body.support .navbar-collapse,
    body.about .navbar-collapse,body.news .navbar-collapse
    {
        padding-left: 15px;
    }
    body.download-center .navbar-collapse .navbar-nav li:first-child a,
    body.service-center  .navbar-collapse .navbar-nav li:first-child a,
    body.contacts .navbar-collapse .navbar-nav li:first-child a,
    body.videos .navbar-collapse .navbar-nav li:first-child a,
    body.support .navbar-collapse .navbar-nav li:first-child a,
    body.about .navbar-collapse .navbar-nav li:first-child a,
    body.news .navbar-collapse .navbar-nav li:first-child a
    {
        padding-left: 0px !important;
        margin-left: 10px !important;
    }
        
    
    
    
    #features_map_img{
        -ms-transform: scale(0.55);
        -webkit-transform: scale(0.55);
        transform: scale(0.55);
    }    
    #features_map_img { margin: 0 -100px !important;  }
    .popover.top > .arrow:after  { bottom: -8px; margin-left: -27px; }
    
   .bas-slide.slide-2 .inner-slide.inner-slide-1{ max-height: 500px;}
   
    section.bas-slide{
        position: relative !important;
        min-height: 100%; 
        height: 1px;
        top: auto;
    }
    section.bas-slide .inner-slide{
        min-height: 100%;
        height: auto;
        /*height: 1px;*/
    }
    
    section.bas-slide .inner-slide.fixedHeight{
        min-height: inherit;
        height: inherit ;
    }
    
    #container section.slide-1 {
        min-height: inherit !important;
        height: auto !important;    
        background-image: none !important;
        padding-bottom: 
    }

#container section.slide-1 div.wrapper {
                position: relative;
                top: auto;
                -webkit-transform:none
                -ms-transform: none;  
                transform: none;
}
	#container section.slide-1 .row { display: block; }
        #container section.slide-1 iframe { margin-top: 20px !important; margin-left: 0 !important; max-height: 80vh; }
        #container section.slide-1 h1{
            margin-top: 50px;
        }

    #container section.slide-1 .where-to-buy {
        margin-left: auto;
        margin-right: auto;
    }
    
    #container section.slide-3 .inner-slide-1 .wrapper, #container section.slide-3 .inner-slide-3 .wrapper{ min-height: inherit !important; }
    .bas-slide .inner-slide.inner-slide-3 .text { width: auto !important; }
    .bas-slide .inner-slide-3 img { max-width: 90% !important; height: auto;}     
    
    .bas-slide.slide-3 ul.controls { max-width: 95%; margin: 0 auto;}
    .bas-slide.slide-3 ul.controls li { display: block !important;  float: none; width:100%;}
    .bas-slide.slide-3 ul.controls li a { min-height: 40px; height: auto; }
    .bas-slide.slide-3 ul.controls li.first a,ul.controls li.last a, ul.controls li:last-child a{-moz-border-radius: 0; -webkit-border-radius: 0; border-radius: 0;}
    .bas-slide.slide-3 ul.controls li { border-left: none !important;}
    

    #container section.slide-3 .inner-slide-1  img { max-width: 100%; }
    .app-buttons { text-align: center; display: block;}
    .app-buttons img { max-width: 45% !important; height: auto !important; }
    .functions-icons { margin:  0 -25px;}
    .functions-icons .col-xs-4 { padding:  0 4px; text-align: center}
    .functions-icons .col-xs-4 .icon { margin-left: auto; margin-right: auto;}
    .functions-icons  h4{ font-size: 13px; }
    
    #container section.slide-4 .inner-slide-1{
        background-position: left top;
        background-size: auto;
    }    
    
    .bas-slide.slide-4 .inner-slide-2 {
        text-align: center;
    }
    #all_design_image {
        max-width: 90%;
        display: inline-block;
        position: relative;
        margin: 0 auto !important;
        left: auto;
    }
    
    
    #container section.slide-5 .carousel-caption { width: auto;}

    .solutions-category h1{ font-size: 28px;}
    div.solutions { text-align: center; width: auto; }
    
    .product-grid .product-element{
        width: auto;
        display: block;
        max-width: 400px;
        margin-left: auto;
        margin-right: auto;
    }
    div.solution { float: none; display: inline-block; margin: 10px auto !important; }

    .arrows { background-image: url(../images/arrows_red.png); }
    
    #about_banner { height: auto !important; }
    #project_image img ,img.alignnone { max-width: 100% !important; height: auto; }
    #project_image { margin-right: auto !important; margin-bottom: 20px; }
    
    .support #video_reviews .border-right .video-row .col-md-4,.video-row > div:first-child { padding-left: 15px;}
    
    
    /*** Product page ***/
    #page_nav.navbar-fixed-top { position: static; margin-top: 0px;}
    .navbar-fixed-top + #container { padding-top: 0;}
    #product_description { min-height: inherit; height:  auto; }
    #product_description h1 { margin-top: 20px; }
    #product_description .price  { margin-bottom: 30px; }
    #product_image { height: auto !important; margin-top: 20px; }
    #product_image img { position: static; margin-top: auto; -moz-transform: none; -webkit-transform: none; transform: none;}

    #add-info-carousel .item > div  {
        margin: 10px; 
        -moz-transform: none;
        -webkit-transform: none;
        transform: none;
    }
    #gallery .controls { margin-bottom: 0;}
    #container #gallery { min-height: 400px; }
    .product #gallery .inner-container { min-height: inherit; }
    /*#gallery #interface-carousel  .item { height:  auto !important; }*/
    #gallery #interface-carousel img, #project_gallery #project-carousel img{
        position: relative;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);        
    }
    .product #gallery .splv360dm_ts_splv,.product #gallery .splv360dm_ts_splv img{ max-width: 100% !important; height: auto !important; }
    .product #gallery iframe { height:  auto; min-height: 300px;  width: 100%; }
    
    #add-info-carousel .img-circle { display: none ; }
    #add-info-carousel .item  { height: auto !important; min-height: inherit; }
    #specifications img { max-width: 100%; height: auto;}
    
    .feature + .feature , #footer-cols .col-md-3 + .col-md-3 { margin-top: 30px; }
    
    .contacts-filter > div { float: none; margin-right: 0; margin-bottom: 15px;}

    #container-404  { min-height: 400px !important; }
    
    .news-list .image { float: none !important;}
    .news-list .image + .nl-element-content { margin-left: auto; }

    .search-section .product-element { float: none !important;}
}

 
/* Landscape phones and down */
@media (max-width: 480px) {
    .visible-xxs { display: block !important; }
    .hidden-xxs {display:  none !important; }
    .product-grid .product-element{
        max-width: inherit;
        margin: 10px;
    }
    .two-years-warranty { padding-right:0px; padding-left: 65px; }
    #ipad-carousel,#all_design_image{
        -ms-transform: scale(0.5);
        -webkit-transform: scale(0.5);
        transform: scale(0.5);
    }
    #features_map_img{
        -moz-transform:scale(0.4);
        -ms-transform: scale(0.4);
        -webkit-transform: scale(0.4);
        transform: scale(0.4);
        
    }
    .bas-slide.slide-2 .inner-slide.inner-slide-1{ max-height: 400px;}

    #features_map_img { margin: 0 -250px !important;  }
    
    ul.controls { max-width: 95%; margin: 0 auto;}
    ul.controls li { display: block !important;  float: none; width:100%;}
    ul.controls li a { min-height: 40px; height: auto; }
    ul.controls li.first a,ul.controls li.last a, ul.controls li:last-child a{-moz-border-radius: 0; -webkit-border-radius: 0; border-radius: 0;}
    ul.controls li { border-left: none !important;}
    
    #animated_group { display: none !important; }
    
    /** Popovers **/
    .popover { min-width: 260px; min-height: 65px; }
    .popover>.arrow:after { border-width: 10px;}
    .popover.top { margin-top: -10px;}
    .popover.top > .arrow:after  { bottom: 1px; margin-left: -18px; }
    .popover-content > div { background-size: contain !important; padding-left: 80px !important; line-height: 50px;  min-height: inherit !important; min-width: inherit !important;}
    .popover-content > div > span { line-height: 14px; font-size: 12px; }

    #product-carousel .product {
        float: none !important;
        margin-left: auto !important;
        margin-right: auto !important;
    }
    
    /*** Download center page ***/
    #downloads_buttons .btn-rect { width: 280px; margin:  0 auto !important;  display: block; }
    #downloads_buttons .btn-rect + .btn-rect { margin-top: 10px !important; }

    #gallery #interface-carousel {margin-top: -30px;}
    #gallery .controls li { margin-left: auto; }
    .contacts-filter > div { float: none; margin-right: 0; margin-bottom: 15px;}
}

@media (max-width: 320px)
{
    #logo img {
        width: 128px;
    }
}
@media (max-height: 500px)
{
    nav#main_nav ul.nav-menu { max-width: 90%; top:100px; -ms-transform: none; -webkit-transform: none; -moz-transform: none; transform:none;}
    #main_nav li { float: left; width:50%; margin: 10px 0 !important;}
    #main_nav li a { font-size: 20px; }
}

@media (max-height: 500px) and (max-width: 320px)
{
    #main_nav li { float: left; width:100%; margin: 10px 0 !important;}
    #main_nav li a { font-size: 20px; }
}